#include <bits/stdc++.h>
#define ll long long
using namespace std;
ll mod=1e9+7;
ll add(ll a,ll b) {
    a+=b;
    if(a<0) a+=mod;
    if(a>=mod) a-=mod;
    return a;
}
ll sub(ll a,ll b) {
    return (a*b)%mod;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    ll n,x=1e18,y=1e18,x2=0,y2=0;
    cin >> n;
    vector<pair<ll,ll>>V;
    for(ll i=0;i<n;i++) {
        ll xx,yy,R1=0,R2=0,R3=0,R4=0;
        cin >> xx >> yy;
        V.push_back({xx,yy});
        x=min(x,xx);
        y=min(y,yy);
        x2=max(x2,xx);
        y2=max(y2,yy);
        for(auto g:V) {
            R1=add(R1,sub(abs(g.first-x),abs(g.second-y)));
        }
        for(auto g:V) {
            R2=add(R2,sub(abs(g.first-x2),abs(g.second-y2)));
        }
        for(auto g:V) {
            R3=add(R3,sub(abs(g.first-x),abs(g.second-y2)));
        }
        for(auto g:V) {
            R4=add(R4,sub(abs(g.first-x2),abs(g.second-y)));
        }
        ll maks=max(R1,R2);
        maks=max(maks,max(R3,R4));
        cout << maks << endl;
    }
    return 0;
}